/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.21
 * 描述               :        			成品卷包装计量主实绩
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Packing.Performance.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Mes.Packing.Performance.mapper.MesCoilPackingMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_COIL_PACKING_M", namespace=MesCoilPackingMMapper.class)
public class MesCoilPackingM extends BaseVO implements Serializable {
	@Id
	//成品卷包号
	private String packing_no;
	public String  getPacking_no() {
		return this.packing_no;
	}
	public void setPacking_no(String packing_no) {
		this.packing_no = packing_no;
	}

	@Column
	//包装线编码
	private String packing_line_code;
	public String  getPacking_line_code() {
		return this.packing_line_code;
	}
	public void setPacking_line_code(String packing_line_code) {
		this.packing_line_code = packing_line_code;
	}

	@Column
	//包装线名称
	private String packing_line_name;
	public String  getPacking_line_name() {
		return this.packing_line_name;
	}
	public void setPacking_line_name(String packing_line_name) {
		this.packing_line_name = packing_line_name;
	}

	@Column
	//订单牌号
	private String steel_code;
	public String  getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	@Column
	//订单厚度
	private Double ord_thk;
	public Double  getOrd_thk() {
		return this.ord_thk;
	}
	public void setOrd_thk(Double ord_thk) {
		this.ord_thk = ord_thk;
	}

	@Column
	//订单宽度
	private Double ord_wdt;
	public Double  getOrd_wdt() {
		return this.ord_wdt;
	}
	public void setOrd_wdt(Double ord_wdt) {
		this.ord_wdt = ord_wdt;
	}

	@Column
	//订单长度
	private Double ord_len;
	public Double  getOrd_len() {
		return this.ord_len;
	}
	public void setOrd_len(Double ord_len) {
		this.ord_len = ord_len;
	}

	@Column
	//订单内径
	private Double ord_inn_dia;
	public Double  getOrd_inn_dia() {
		return this.ord_inn_dia;
	}
	public void setOrd_inn_dia(Double ord_inn_dia) {
		this.ord_inn_dia = ord_inn_dia;
	}

	@Column
	//订单外径
	private Double ord_out_dia;
	public Double  getOrd_out_dia() {
		return this.ord_out_dia;
	}
	public void setOrd_out_dia(Double ord_out_dia) {
		this.ord_out_dia = ord_out_dia;
	}

	@Column
	//卷数
	private Integer coil_cnt;
	public Integer  getCoil_cnt() {
		return this.coil_cnt;
	}
	public void setCoil_cnt(Integer coil_cnt) {
		this.coil_cnt = coil_cnt;
	}

	@Column
	//成品毛重
	private Double coil_gross_wgt;
	public Double  getCoil_gross_wgt() {
		return this.coil_gross_wgt;
	}
	public void setCoil_gross_wgt(Double coil_gross_wgt) {
		this.coil_gross_wgt = coil_gross_wgt;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//成品毛重时间
	private Date coil_gross_wgt_time;
	public Date  getCoil_gross_wgt_time() {
		return this.coil_gross_wgt_time;
	}
	public void setCoil_gross_wgt_time(Date coil_gross_wgt_time) {
		this.coil_gross_wgt_time = coil_gross_wgt_time;
	}

	@Column
	//成品皮重
	private Double coil_tare_wgt;
	public Double  getCoil_tare_wgt() {
		return this.coil_tare_wgt;
	}
	public void setCoil_tare_wgt(Double coil_tare_wgt) {
		this.coil_tare_wgt = coil_tare_wgt;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//成品皮重时间
	private Date coil_tare_wgt_time;
	public Date  getCoil_tare_wgt_time() {
		return this.coil_tare_wgt_time;
	}
	public void setCoil_tare_wgt_time(Date coil_tare_wgt_time) {
		this.coil_tare_wgt_time = coil_tare_wgt_time;
	}

	@Column
	//成品净重
	private Double coil_net_wgt;
	public Double  getCoil_net_wgt() {
		return this.coil_net_wgt;
	}
	public void setCoil_net_wgt(Double coil_net_wgt) {
		this.coil_net_wgt = coil_net_wgt;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//成品净重时间
	private Date coil_net_wgt_time;
	public Date  getCoil_net_wgt_time() {
		return this.coil_net_wgt_time;
	}
	public void setCoil_net_wgt_time(Date coil_net_wgt_time) {
		this.coil_net_wgt_time = coil_net_wgt_time;
	}

	@Column
	//订单号
	private String order_no;
	public String  getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	@Column
	//生产订单号
	private String prod_order_no;
	public String  getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	@Column
	//作业日期（YYYY-MM-DD）
	private String wrk_date;
	public String  getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	@Column
	//作业班次（1夜班、2白班、3中班）
	private String wrk_ord;
	public String  getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	@Column
	//作业班组（1甲班、2乙班、3丙班、4丁班）
	private String wrk_grp;
	public String  getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	@Column
	//包装等级
	private String packing_group;
	public String  getPacking_group() {
		return this.packing_group;
	}
	public void setPacking_group(String packing_group) {
		this.packing_group = packing_group;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//包装时间
	private Date packing_time;
	public Date  getPacking_time() {
		return this.packing_time;
	}
	public void setPacking_time(Date packing_time) {
		this.packing_time = packing_time;
	}

	@Column
	//包装工
	private String packing_opr;
	public String  getPacking_opr() {
		return this.packing_opr;
	}
	public void setPacking_opr(String packing_opr) {
		this.packing_opr = packing_opr;
	}

	@Column
	//标签打印次数
	private Double printed_times;
	public Double  getPrinted_times() {
		return this.printed_times;
	}
	public void setPrinted_times(Double printed_times) {
		this.printed_times = printed_times;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//标签打印时间
	private Date print_time;
	public Date  getPrint_time() {
		return this.print_time;
	}
	public void setPrint_time(Date print_time) {
		this.print_time = print_time;
	}

	@Column
	//标签打印人
	private String print_opr;
	public String  getPrint_opr() {
		return this.print_opr;
	}
	public void setPrint_opr(String print_opr) {
		this.print_opr = print_opr;
	}

	@Column
	//状态（0未入库、1已入库）
	private String status;
	public String  getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//操作人
	private String create_opr;
	public String  getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//操作时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人
	private String update_opr;
	public String  getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	//包装要求
	private String pack_require;
	public String getPack_require() {
		return pack_require;
	}
	public void setPack_require(String pack_require) {
		this.pack_require = pack_require;
	}

	//牌号
	private String steel_name;
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	
	private List<MesCoilPackingD> child;
	public List<MesCoilPackingD> getChild() {
		return child;
	}
	public void setChild(List<MesCoilPackingD> child) {
		this.child = child;
	}

}
